# Microservices With Spring

**Topics covered:**

- ✅ Spring Boot Microservices
- ✅ Maven (Including Multi Module, Builds and Profiles)
- ✅ Spring Data JPA
- ✅ Message Queue with RabbitMQ and Kafka
- ✅ Spring Cloud (OpenFeign, Service Discovery, Distributed Tracing)
- ✅ Configuration and Secrets management
- ✅ Packing Jars with Jib
- ✅ Docker
- ✅ Kubernetes



![alt text](https://user-images.githubusercontent.com/40702606/144061535-7a42e85b-59d6-4f7f-9c35-18a48b49e6de.png)

